$(document).ready(function() {
 
	$('#TIPO_SERVICIO').ready(function () {
		
		$.ajax({
			  url:'http://opertiaweb.no-ip.org:81/roque/public/index.php/webservice/actiposervicio/activo/1',
			  dataType: 'json',
			  success: function(data){
				 
				  $('#TIPO_SERVICIO').html('');  
				  $(data).each(function(indice, elemento){
					  $('#TIPO_SERVICIO').append('<option label="'+ elemento.nombre +'" value="'+elemento.codigo+'">'+ elemento.nombre+'</option>');  					  
				  });
				  $('#TIPO_SERVICIO').ready(function () {
					 $.ajax({
						  url:'http://opertiaweb.no-ip.org:81/roque/public/index.php/webservice/acvehiculos/id/'+ $('#TIPO_SERVICIO').val(),
						  dataType: 'json',
						  success: function(data){
							  $('#VEHICULO').html('');  
							  $(data).each(function(indice, elemento){
								  $('#VEHICULO').append('<option label="'+ elemento.MARCA+' '+ elemento.MODELO +'" value="'+ elemento.CODIGO + '">'+ elemento.MARCA+' '+ elemento.MODELO +'</option>');  					  
							  });

						  }
						 
					 });
				  });
			  }
			  
			},"json");
		
		  $('#TIPO_SERVICIO').change(function () {
				 $.ajax({
					  url:'http://opertiaweb.no-ip.org:81/roque/public/index.php/webservice/acvehiculos/id/'+ $('#TIPO_SERVICIO').val(),
					  dataType: 'json',
					  success: function(data){
						  $('#VEHICULO').html('');  
						  $(data).each(function(indice, elemento){
							  $('#VEHICULO').append('<option label="'+ elemento.MARCA+' '+ elemento.MODELO +'" value="'+elemento.CODIGO+'">'+ elemento.MARCA+' '+ elemento.MODELO +'</option>');  					  
						  });

					  }
					 
				 });
			  });
 
		
	});

	$('#dia').ready(function () {
		var i ;
		var f = new Date();
		$('#dia').html('');
		for (i = 1; i <= 31 ; i++) {
			$('#dia').append('<option label="dia" value = "' + i + '">'+ i + '</option>');
		}
		$('#dia').val(f.getDate());
	});
	$('#mes').ready(function () {
		var meses = ['Enero','Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio','Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'] ;
		var f = new Date();
		$('#mes').html('');
		for (i = 0; i < 12 ; i++) {
			$('#mes').append('<option label="mes" value = "' + (i + 1) + '">'+ meses[i] + '</option>');
		}
		$('#mes').val(f.getMonth()+1);
	});
	$('#ano').ready(function () {
		var f = new Date();
		$('#ano').html('');
		for (i = 0; i < 2 ; i++) {
			$('#ano').append('<option label="ano" value = "' + (f.getFullYear() + i) + '">'+ (f.getFullYear() + i) + '</option>');
		}
		$('#FECHA').val('18-02-2013');
		
	});
	$('#hora_').ready(function () {
		var f = new Date();
		$('#hora_').html('');
		for (i = 0; i < 24 ; i++) {
			$('#hora_').append('<option label="hora_" value = "' +  i + '">'+  i + '</option>');
		}
		$('#hora_').val(f.getHours());
		
	});
	$('#minutos').ready(function () {
		
		$('#minutos').html('');
		$('#minutos').append('<option label="minutos" value = "00">00</option>');
		$('#minutos').append('<option label="minutos" value = "30">30</option>');
		$('#HORA').val('15:00');
		
	});

});